package refereeview;

// Match objects should ONLY be created by the database, never by the user

public class Match {
    // Fields are read-only; set by the database
    private int fMatchId;
    private Competitor fCompetitor1, fCompetitor2;

    // Useless default constructor
    public Match() {
        fMatchId = -1;
    }

    // Constructor for the database
    public Match(int matchId, Competitor comp1, Competitor comp2) {
        fMatchId = matchId;
        fCompetitor1 = comp1;
        fCompetitor2 = comp2;
    }

    // Accessors and Mutators
    public int getMatchId() {
        return fMatchId;
    }

    public Competitor getCompetitor1() {
        return fCompetitor1;
    }

    public Competitor getCompetitor2() {
        return fCompetitor2;
    }
}
